Bug 1273312 - docker-py depends on docker even when it doesn't have to
docker-py depends on docker even when it doesn't have to
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-docker-py (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Tomecek
atomic-bugs@redhat.com
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-20 04:09 EDT by Tomas Tomecek
Modified: 2017-10-10 07:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-docker-py-1.4.0-117.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-10 07:00:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2015-10-20 04:09:06 EDT
Since docker-py is a docker client, it can connect to remote docker instances via TCP, or you can install docker-py to a container and bindmount docker socket inside -- you don't need to have docker there. Especially when docker brings a lot of deps with itself:

 Package                            Version                      Size
======================================================================
Installing:
 docker-python                      1.4.0-115.el7                94 k
Installing for dependencies:
 audit-libs-python                  2.4.1-5.el7                  69 k
 binutils                           2.23.52.0.1-30.el7_1.2       .0 M
 checkpolicy                        2.1.12-6.el7                 47 k
 device-mapper                      7:1.02.93-3.el7_1.1          09 k
 device-mapper-event                7:1.02.93-3.el7_1.1          59 k
 device-mapper-event-libs           7:1.02.93-3.el7_1.1          51 k
 device-mapper-libs                 7:1.02.93-3.el7_1.1          60 k
 device-mapper-persistent-data      0.4.1-2.el7                  37 k
 docker                             1.7.1-115.el7                .0 M
 docker-selinux                     1.7.1-115.el7                59 k
 kmod                               14-10.el7                    78 k
 kmod-libs                          14-10.el7                    46 k
 libaio                             0.3.109-12.el7               24 k
 libcgroup                          0.41-8.el7                   64 k
 libselinux-python                  2.2.2-6.el7                  47 k
 libselinux-utils                   2.2.2-6.el7                  35 k
 libsemanage-python                 2.1.10-16.el7                94 k
 lvm2                               7:2.02.115-3.el7_1.1         97 k
 lvm2-libs                          7:2.02.115-3.el7_1.1         65 k
 policycoreutils                    2.2.5-15.el7                 02 k
 policycoreutils-python             2.2.5-15.el7                 34 k
 python-IPy                         0.75-6.el7                   32 k
 python-requests                    2.6.0-1.el7_1                93 k
 python-six                         1.3.0-4.el7                  18 k
 python-urllib3                     1.10.2-2.el7_1               00 k
 python-websocket-client            0.32.0-115.el7               93 k
 selinux-policy                     3.13.1-23.el7_1.18           59 k
 selinux-policy-minimum             3.13.1-23.el7_1.18           .9 M
 selinux-policy-targeted            3.13.1-23.el7_1.18           .9 M
 setools-libs                       3.3.7-46.el7                 85 k
 xfsprogs                           3.2.1-6.el7                  58 k
 xz                                 5.1.2-9alpha.el7             00 k

Transaction Summary
=====================================================================
Install  1 Package (+32 Dependent packages)

Total download size: 27 M
Installed size: 92 M
Comment 3 Carl George 2017-07-26 13:35:08 EDT
I can confirm this is no longer an issue in python-docker-py-1.10.6-1.el7.
Comment 4 Tomas Tomecek 2017-10-10 07:00:01 EDT
Thanks Carl, that's correct. Forgot to close this one.

Note You need to log in before you can comment on or make changes to this bug.